## r-bioc-biomart 2.58.2+dfsg

=== DESCRIPTION ===
Package: biomaRt
Version: 2.58.2
Title: Interface to BioMart databases (i.e. Ensembl)
License: Artistic-2.0
Description: In recent years a wealth of biological data has become available
        in public data repositories. Easy access to these valuable data 
        resources and firm integration with data analysis is needed for
        comprehensive bioinformatics data analysis.  biomaRt provides an
        interface to a growing collection of databases implementing the
        BioMart software suite (<http://www.biomart.org>). The package enables
        retrieval of large amounts of data in a uniform way without the need to
        know the underlying database schemas or write complex SQL queries. 
        The most prominent examples of BioMart databases are maintain by Ensembl, which
        provides biomaRt users direct access to a diverse set of data and enables
        a wide range of powerful online queries from gene annotation to 
        database mining.
Authors@R: c(person("Steffen", "Durinck", role = c("aut"), 
            email = "biomartdev@gmail.com"), 
        person("Wolfgang", "Huber", role="aut"),
        person("Sean", "Davis", role="ctb", email = "sdavis2@mail.nih.gov"),
        person("Francois", "Pepin", role="ctb"),
        person(given = "Vince S", family = "Buffalo", role="ctb"),
        person("Mike", "Smith", role=c("ctb", "cre"), 
            email = "grimbough@gmail.com",
            comment = c(ORCID = "0000-0002-7800-3848")))
Depends: methods
Imports: utils, XML (>= 3.99-0.7), AnnotationDbi, progress, stringr,
        httr, digest, BiocFileCache, rappdirs, xml2
Suggests: BiocStyle, knitr, mockery, rmarkdown, testthat, webmockr
URL: https://github.com/grimbough/biomaRt
BugReports: https://github.com/grimbough/biomaRt/issues
VignetteBuilder: knitr
biocViews: Annotation
LazyLoad: yes
NeedsCompilation: no
Encoding: UTF-8
RoxygenNote: 7.1.1
Collate: biomaRtClasses.R methods-Mart.R biomaRt.R caching.R ensembl.R
        ensembl_wrappers.R ensembl_ssl_settings.R utilityFunctions.R
git_url: https://git.bioconductor.org/packages/biomaRt
git_branch: RELEASE_3_18
git_last_commit: d8a58e6
git_last_commit_date: 2024-01-30
Repository: Bioconductor 3.18
Date/Publication: 2024-01-30
Packaged: 2024-01-30 21:15:44 UTC; biocbuild
Author: Steffen Durinck [aut],
  Wolfgang Huber [aut],
  Sean Davis [ctb],
  Francois Pepin [ctb],
  Vince S Buffalo [ctb],
  Mike Smith [ctb, cre] (<https://orcid.org/0000-0002-7800-3848>)
Maintainer: Mike Smith <grimbough@gmail.com>

=== debian/control ===
Source: r-bioc-biomart
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-xml,
               r-bioc-annotationdbi,
               r-cran-progress,
               r-cran-stringr,
               r-cran-httr,
               r-cran-digest,
               r-bioc-biocfilecache,
               r-cran-rappdirs,
               r-cran-xml2
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomart
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomart.git
Homepage: https://bioconductor.org/packages/biomaRt/
Rules-Requires-Root: no

Package: r-bioc-biomart
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R Interface to BioMart databases (Ensembl, COSMIC, Wormbase and Gramene)
 In recent years a wealth of biological data has become available in
 public data repositories. Easy access to these valuable data resources
 and firm integration with data analysis is needed for comprehensive
 bioinformatics data analysis. biomaRt provides an interface to a growing
 collection of databases implementing the BioMart software suite
 (http://www.biomart.org). The package enables retrieval of large amounts
 of data in a uniform way without the need to know the underlying
 database schemas or write complex SQL queries. Examples of BioMart
 databases are Ensembl, COSMIC, Uniprot, HGNC, Gramene, Wormbase and
 dbSNP mapped to Ensembl. These major databases give biomaRt users direct
 access to a diverse set of data and enable a wide range of powerful
 online queries from gene annotation to database mining.

## r-bioc-biomart 2.60.1+dfsg

=== debian/changelog ===
r-bioc-biomart (2.60.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 17 Aug 2024 21:23:29 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp2) experimental; urgency=medium

  * Team upload.
  * d/{,tests/}control: bump minimum versions of r-bioc-* packages to
    bioc-3.19+ versions

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 22 Jul 2024 11:07:51 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp1) experimental; urgency=medium

  * Team upload.
  * Add r-cran-httptest2 as a test dependency for the autopkgtest.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Jul 2024 17:01:57 +0200

r-bioc-biomart (2.60.1+dfsg-1~0exp) experimental; urgency=medium

  * Team upload
  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)
  * Set upstream metadata fields: Repository.
  * d/tests/autopkgtest-pkg-r.conf: skip on 32-bit architectures.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 10 Jul 2024 00:56:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,35 @@
 Source: r-bioc-biomart
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomart
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomart.git
+Homepage: https://bioconductor.org/packages/biomaRt/
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-xml,
-               r-bioc-annotationdbi,
+               r-bioc-annotationdbi (>= 1.66.0),
                r-cran-progress,
                r-cran-stringr,
-               r-cran-httr,
+               r-cran-httr2,
                r-cran-digest,
-               r-bioc-biocfilecache,
+               r-bioc-biocfilecache (>= 2.12.0),
                r-cran-rappdirs,
                r-cran-xml2
-Standards-Version: 4.6.2
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomart
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomart.git
-Homepage: https://bioconductor.org/packages/biomaRt/
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biomart
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends}
+         ${misc:Depends},
+         r-bioc-annotationdbi (>= 1.66.0),
+         r-bioc-biocfilecache (>= 2.12.0)
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests}
+Suggests: ${R:Suggests},
+          r-bioc-biocstyle (>= 2.32.1)
 Description: GNU R Interface to BioMart databases (Ensembl, COSMIC, Wormbase and Gramene)
  In recent years a wealth of biological data has become available in
  public data repositories. Easy access to these valuable data resources

## r-bioc-biomart 2.62.0+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomaRt
-Version: 2.58.2
+Version: 2.62.0
 Title: Interface to BioMart databases (i.e. Ensembl)
 License: Artistic-2.0
 Description: In recent years a wealth of biological data has become available
@@ -24,9 +24,9 @@
             email = "grimbough@gmail.com",
             comment = c(ORCID = "0000-0002-7800-3848")))
 Depends: methods
-Imports: utils, XML (>= 3.99-0.7), AnnotationDbi, progress, stringr,
-        httr, digest, BiocFileCache, rappdirs, xml2
-Suggests: BiocStyle, knitr, mockery, rmarkdown, testthat, webmockr
+Imports: utils, AnnotationDbi, progress, stringr, httr2, digest,
+        BiocFileCache, rappdirs, xml2, curl
+Suggests: BiocStyle, knitr, mockery, rmarkdown, testthat, httptest2
 URL: https://github.com/grimbough/biomaRt
 BugReports: https://github.com/grimbough/biomaRt/issues
 VignetteBuilder: knitr
@@ -34,16 +34,17 @@
 LazyLoad: yes
 NeedsCompilation: no
 Encoding: UTF-8
-RoxygenNote: 7.1.1
+RoxygenNote: 7.3.0
 Collate: biomaRtClasses.R methods-Mart.R biomaRt.R caching.R ensembl.R
         ensembl_wrappers.R ensembl_ssl_settings.R utilityFunctions.R
+        non-biomart-utils.R
 git_url: https://git.bioconductor.org/packages/biomaRt
-git_branch: RELEASE_3_18
-git_last_commit: d8a58e6
-git_last_commit_date: 2024-01-30
-Repository: Bioconductor 3.18
-Date/Publication: 2024-01-30
-Packaged: 2024-01-30 21:15:44 UTC; biocbuild
+git_branch: RELEASE_3_20
+git_last_commit: 7a1547e
+git_last_commit_date: 2024-10-29
+Repository: Bioconductor 3.20
+Date/Publication: 2024-10-29
+Packaged: 2024-10-29 23:45:04 UTC; biocbuild
 Author: Steffen Durinck [aut],
   Wolfgang Huber [aut],
   Sean Davis [ctb],

=== debian/changelog ===
r-bioc-biomart (2.62.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 13 Jan 2025 08:53:42 +0100

r-bioc-biomart (2.62.0+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 08 Nov 2024 10:25:37 +0100

## r-bioc-biomart 2.62.1%2Bdfsg

=== debian/changelog ===
r-bioc-biomart (2.62.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 08 Feb 2025 11:19:40 +0100

## r-bioc-biomart 2.62.1+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: biomaRt
-Version: 2.62.0
+Version: 2.62.1
 Title: Interface to BioMart databases (i.e. Ensembl)
 License: Artistic-2.0
 Description: In recent years a wealth of biological data has become available
@@ -40,11 +40,11 @@
         non-biomart-utils.R
 git_url: https://git.bioconductor.org/packages/biomaRt
 git_branch: RELEASE_3_20
-git_last_commit: 7a1547e
-git_last_commit_date: 2024-10-29
+git_last_commit: 1b1e4b1
+git_last_commit_date: 2025-01-29
 Repository: Bioconductor 3.20
-Date/Publication: 2024-10-29
-Packaged: 2024-10-29 23:45:04 UTC; biocbuild
+Date/Publication: 2025-01-30
+Packaged: 2025-01-30 21:27:49 UTC; biocbuild
 Author: Steffen Durinck [aut],
   Wolfgang Huber [aut],
   Sean Davis [ctb],

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,28 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-bioc-biomart
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-bioc-biomart.git
 Homepage: https://bioconductor.org/packages/biomaRt/
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-bioc-annotationdbi (>= 1.66.0),
+               r-bioc-annotationdbi,
                r-cran-progress,
                r-cran-stringr,
                r-cran-httr2,
                r-cran-digest,
-               r-bioc-biocfilecache (>= 2.12.0),
+               r-bioc-biocfilecache,
                r-cran-rappdirs,
-               r-cran-xml2
+               r-cran-xml2,
+               r-cran-curl
 Testsuite: autopkgtest-pkg-r
 
 Package: r-bioc-biomart
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-bioc-annotationdbi (>= 1.66.0),
-         r-bioc-biocfilecache (>= 2.12.0)
+         ${misc:Depends}
 Recommends: ${R:Recommends}
-Suggests: ${R:Suggests},
-          r-bioc-biocstyle (>= 2.32.1)
+Suggests: ${R:Suggests}
 Description: GNU R Interface to BioMart databases (Ensembl, COSMIC, Wormbase and Gramene)
  In recent years a wealth of biological data has become available in
  public data repositories. Easy access to these valuable data resources
